## r8168 8.049.02

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
################################################################################
#
# r8168 is the Linux device driver released for Realtek Gigabit Ethernet
# controllers with PCI-Express interface.
#
# Copyright(c) 2021 Realtek Semiconductor Corp. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, see <http://www.gnu.org/licenses/>.
#
# Author:
# Realtek NIC software team <nicfae@realtek.com>
# No. 2, Innovation Road II, Hsinchu Science Park, Hsinchu 300, Taiwan
#
################################################################################

################################################################################
#  This product is covered by one or more of the following patents:
#  US6,570,884, US6,115,776, and US6,327,625.
################################################################################

KFLAG := 2$(shell uname -r | sed -ne 's/^2\.[4]\..*/4/p')x

all: clean modules install

modules:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ -f Makefile_linux24x modules
else
	$(MAKE) -C src/ modules
endif

clean:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ -f Makefile_linux24x clean
else
	$(MAKE) -C src/ clean
endif

install:
ifeq ($(KFLAG),24x)
	$(MAKE) -C src/ -f Makefile_linux24x install
else
	$(MAKE) -C src/ install
endif

=== src/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
################################################################################
#
# r8168 is the Linux device driver released for Realtek Gigabit Ethernet
# controllers with PCI-Express interface.
#
# Copyright(c) 2021 Realtek Semiconductor Corp. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, see <http://www.gnu.org/licenses/>.
#
# Author:
# Realtek NIC software team <nicfae@realtek.com>
# No. 2, Innovation Road II, Hsinchu Science Park, Hsinchu 300, Taiwan
#
################################################################################

################################################################################
#  This product is covered by one or more of the following patents:
#  US6,570,884, US6,115,776, and US6,327,625.
################################################################################

CONFIG_SOC_LAN = n
ENABLE_FIBER_SUPPORT = n
ENABLE_REALWOW_SUPPORT = n
ENABLE_DASH_SUPPORT = n
ENABLE_DASH_PRINTER_SUPPORT = n
CONFIG_DOWN_SPEED_100 = n
CONFIG_ASPM = y
ENABLE_S5WOL = y
ENABLE_S5_KEEP_CURR_MAC = n
ENABLE_EEE = y
ENABLE_S0_MAGIC_PACKET = n
CONFIG_DYNAMIC_ASPM = y
ENABLE_USE_FIRMWARE_FILE = n

ifneq ($(KERNELRELEASE),)
	obj-m := r8168.o
	r8168-objs := r8168_n.o r8168_asf.o rtl_eeprom.o rtltool.o
	ifeq ($(CONFIG_SOC_LAN), y)
		EXTRA_CFLAGS += -DCONFIG_SOC_LAN
	endif
	ifeq ($(ENABLE_FIBER_SUPPORT), y)
	    r8168-objs += r8168_fiber.o
		EXTRA_CFLAGS += -DENABLE_FIBER_SUPPORT
	endif
	ifeq ($(ENABLE_REALWOW_SUPPORT), y)
	    r8168-objs += r8168_realwow.o
		EXTRA_CFLAGS += -DENABLE_REALWOW_SUPPORT
	endif
	ifeq ($(ENABLE_DASH_SUPPORT), y)
	    r8168-objs += r8168_dash.o
		EXTRA_CFLAGS += -DENABLE_DASH_SUPPORT
	endif
	ifeq ($(ENABLE_DASH_PRINTER_SUPPORT), y)
	    r8168-objs += r8168_dash.o
		EXTRA_CFLAGS += -DENABLE_DASH_SUPPORT -DENABLE_DASH_PRINTER_SUPPORT
	endif
	EXTRA_CFLAGS += -DCONFIG_R8168_NAPI
	EXTRA_CFLAGS += -DCONFIG_R8168_VLAN
	ifeq ($(CONFIG_DOWN_SPEED_100), y)
		EXTRA_CFLAGS += -DCONFIG_DOWN_SPEED_100
	endif
	ifeq ($(CONFIG_ASPM), y)
		EXTRA_CFLAGS += -DCONFIG_ASPM
	endif
	ifeq ($(ENABLE_S5WOL), y)
		EXTRA_CFLAGS += -DENABLE_S5WOL
	endif
	ifeq ($(ENABLE_S5_KEEP_CURR_MAC), y)
		EXTRA_CFLAGS += -DENABLE_S5_KEEP_CURR_MAC
	endif
	ifeq ($(ENABLE_EEE), y)
		EXTRA_CFLAGS += -DENABLE_EEE
	endif
	ifeq ($(ENABLE_S0_MAGIC_PACKET), y)
		EXTRA_CFLAGS += -DENABLE_S0_MAGIC_PACKET
	endif
	ifeq ($(CONFIG_DYNAMIC_ASPM), y)
		EXTRA_CFLAGS += -DCONFIG_DYNAMIC_ASPM
	endif
	ifeq ($(ENABLE_USE_FIRMWARE_FILE), y)
		r8168-objs += r8168_firmware.o
		EXTRA_CFLAGS += -DENABLE_USE_FIRMWARE_FILE
	endif
else
	BASEDIR := /lib/modules/$(shell uname -r)
	KERNELDIR ?= $(BASEDIR)/build
	PWD :=$(shell pwd)
	DRIVERDIR := $(shell find $(BASEDIR)/kernel/drivers/net/ethernet -name realtek -type d)
	ifeq ($(DRIVERDIR),)
		DRIVERDIR := $(shell find $(BASEDIR)/kernel/drivers/net -name realtek -type d)
	endif
	ifeq ($(DRIVERDIR),)
		DRIVERDIR := $(BASEDIR)/kernel/drivers/net
	endif
	RTKDIR := $(subst $(BASEDIR)/,,$(DRIVERDIR))

	KERNEL_GCC_VERSION := $(shell cat /proc/version | sed -n 's/.*gcc version \([[:digit:]]\.[[:digit:]]\.[[:digit:]]\).*/\1/p')
	CCVERSION = $(shell $(CC) -dumpversion)

	KVER = $(shell uname -r)
	KMAJ = $(shell echo $(KVER) | \
	sed -e 's/^\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*.*/\1/')
	KMIN = $(shell echo $(KVER) | \
	sed -e 's/^[0-9][0-9]*\.\([0-9][0-9]*\)\.[0-9][0-9]*.*/\1/')
	KREV = $(shell echo $(KVER) | \
	sed -e 's/^[0-9][0-9]*\.[0-9][0-9]*\.\([0-9][0-9]*\).*/\1/')

	kver_ge = $(shell \
	echo test | awk '{if($(KMAJ) < $(1)) {print 0} else { \
	if($(KMAJ) > $(1)) {print 1} else { \
	if($(KMIN) < $(2)) {print 0} else { \
	if($(KMIN) > $(2)) {print 1} else { \
	if($(KREV) < $(3)) {print 0} else { print 1 } \
	}}}}}' \
	)

.PHONY: all
all: print_vars clean modules install

print_vars:
	@echo
	@echo "CC: " $(CC)
	@echo "CCVERSION: " $(CCVERSION)
	@echo "KERNEL_GCC_VERSION: " $(KERNEL_GCC_VERSION)
	@echo "KVER: " $(KVER)
	@echo "KMAJ: " $(KMAJ)
	@echo "KMIN: " $(KMIN)
	@echo "KREV: " $(KREV)
	@echo "BASEDIR: " $(BASEDIR)
	@echo "DRIVERDIR: " $(DRIVERDIR)
	@echo "PWD: " $(PWD)
	@echo "RTKDIR: " $(RTKDIR)
	@echo

.PHONY:modules
modules:
#ifeq ($(call kver_ge,5,0,0),1)
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules
#else
#	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) modules
#endif

.PHONY:clean
clean:
#ifeq ($(call kver_ge,5,0,0),1)
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean
#else
#	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) clean
#endif

.PHONY:install
install:
#ifeq ($(call kver_ge,5,0,0),1)
	$(MAKE) -C $(KERNELDIR) M=$(PWD) INSTALL_MOD_DIR=$(RTKDIR) modules_install
#else
#	$(MAKE) -C $(KERNELDIR) SUBDIRS=$(PWD) INSTALL_MOD_DIR=$(RTKDIR) modules_install
#endif

endif

=== debian/changelog ===
r8168 (8.049.02-1ubuntu1) jammy; urgency=medium

  * linux-5.17.patch: Fix build with kernel 5.17 and above.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 25 Mar 2022 11:24:47 +0200

r8168 (8.049.02-1) unstable; urgency=medium

  * New upstream release 8.049.02 (2021-06-30).  (Closes: #992284)
  * Refresh patches.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Sep 2021 21:22:35 +0200

=== debian/control ===
Source: r8168
Section: non-free/kernel
Priority: optional
Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
Vcs-Browser: https://salsa.debian.org/debian/r8168
Vcs-Git: https://salsa.debian.org/debian/r8168.git
XS-Autobuild: yes
Testsuite: autopkgtest-pkg-dkms

Package: r8168-dkms
Architecture: all
Depends: ${misc:Depends}
Description: dkms source for the r8168 network driver
 r8168 is the Linux device driver released by RealTek for their network
 controllers with PCI-Express interface:
  * 10/100/1000M Gigabit Ethernet: RTL8111B, RTL8111C, RTL8111D, RTL8111E,
    RTL8111F, RTL8111G(S), RTL8111H(S), RTL8118(A)(S), RTL8119i, RTL8111L,
    RTL8168B, RTL8168E, RTL8168H, RTL8111DP, RTL8111EP, RTL8111FP, RTL8411,
    RTL8411B
 .
 This driver should only be used for devices not yet supported by the
 in-kernel driver r8169. Please see the README.Debian for instructions how
 to report bugs against r8169 that made it necessary to use r8168-dkms.
 .
 Installation of the r8168-dkms package will disable the in-kernel r8169
 module. To re-enable r8169, the r8168-dkms package must be purged.
 .
 This package provides the dkms source code for the r8168 kernel modules.
 Kernel source or headers are required to compile these modules.

## r8168 8.050.03

=== debian/changelog ===
r8168 (8.050.03-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Jul 2022 16:50:56 +0200

r8168 (8.050.03-1) unstable; urgency=medium

  * New upstream release 8.050.03 (2022-06-07).
  * Add patch for Linux 5.18 from Arch Linux.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jun 2022 09:46:30 +0200

r8168 (8.050.02-1) unstable; urgency=medium

  * New upstream release 8.050.02 (2022-05-18).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jun 2022 04:45:45 +0200

r8168 (8.050.00-1) unstable; urgency=medium

  * New upstream release 8.050.00 (2022-04-28).  (Closes: #1010177)
  * Refresh patches.
  * Do not use deprecated dkms feature REMAKE_INITRD.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 May 2022 03:48:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
 Vcs-Browser: https://salsa.debian.org/debian/r8168
 Vcs-Git: https://salsa.debian.org/debian/r8168.git
@@ -21,8 +21,8 @@
  controllers with PCI-Express interface:
   * 10/100/1000M Gigabit Ethernet: RTL8111B, RTL8111C, RTL8111D, RTL8111E,
     RTL8111F, RTL8111G(S), RTL8111H(S), RTL8118(A)(S), RTL8119i, RTL8111L,
-    RTL8168B, RTL8168E, RTL8168H, RTL8111DP, RTL8111EP, RTL8111FP, RTL8411,
-    RTL8411B
+    RTL8111K, RTL8168B, RTL8168E, RTL8168H, RTL8111DP, RTL8111EP, RTL8111FP,
+    RTL8411, RTL8411B
  .
  This driver should only be used for devices not yet supported by the
  in-kernel driver r8169. Please see the README.Debian for instructions how

## r8168 8.051.02

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8168 is the Linux device driver released for Realtek Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2021 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2022 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8168 is the Linux device driver released for Realtek Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2021 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2022 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -43,6 +43,7 @@
 ENABLE_S0_MAGIC_PACKET = n
 CONFIG_DYNAMIC_ASPM = y
 ENABLE_USE_FIRMWARE_FILE = n
+CONFIG_CTAP_SHORT_OFF = n
 
 ifneq ($(KERNELRELEASE),)
 	obj-m := r8168.o
@@ -92,6 +93,9 @@
 	ifeq ($(ENABLE_USE_FIRMWARE_FILE), y)
 		r8168-objs += r8168_firmware.o
 		EXTRA_CFLAGS += -DENABLE_USE_FIRMWARE_FILE
+	endif
+	ifeq ($(CONFIG_CTAP_SHORT_OFF), y)
+		EXTRA_CFLAGS += -DCONFIG_CTAP_SHORT_OFF
 	endif
 else
 	BASEDIR := /lib/modules/$(shell uname -r)

=== debian/changelog ===
r8168 (8.051.02-3) unstable; urgency=medium

  * Add patch for Linux 6.5.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 06 Aug 2023 13:38:05 +0200

r8168 (8.051.02-2) unstable; urgency=medium

  * Add patch for Linux 6.1.
  * Restrict the supported kernel versions to 3.14 or later due to usage of
    pci_enable_msix_range().

 -- Andreas Beckmann <anbe@debian.org>  Mon, 05 Dec 2022 13:36:19 +0100

r8168 (8.051.02-1) unstable; urgency=medium

  * New upstream release 8.051.02 (2022-11-15).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Nov 2022 14:28:05 +0100

r8168 (8.050.03-2) unstable; urgency=medium

  * Set BUILD_EXCLUSIVE_CONFIG="CONFIG_PCI".
  * Add patch for Linux 5.19 from Ubuntu.  (LP: #1982000)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Aug 2022 18:40:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
 Vcs-Browser: https://salsa.debian.org/debian/r8168
 Vcs-Git: https://salsa.debian.org/debian/r8168.git

## r8168 8.052.01

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8168 is the Linux device driver released for Realtek Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2022 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2023 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8168 is the Linux device driver released for Realtek Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2022 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2023 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -44,6 +44,10 @@
 CONFIG_DYNAMIC_ASPM = y
 ENABLE_USE_FIRMWARE_FILE = n
 CONFIG_CTAP_SHORT_OFF = n
+ENABLE_MULTIPLE_TX_QUEUE = n
+ENABLE_RSS_SUPPORT = n
+ENABLE_LIB_SUPPORT = n
+DISABLE_WOL_SUPPORT = n
 
 ifneq ($(KERNELRELEASE),)
 	obj-m := r8168.o
@@ -67,7 +71,9 @@
 	    r8168-objs += r8168_dash.o
 		EXTRA_CFLAGS += -DENABLE_DASH_SUPPORT -DENABLE_DASH_PRINTER_SUPPORT
 	endif
-	EXTRA_CFLAGS += -DCONFIG_R8168_NAPI
+	ifneq ($(ENABLE_RSS_SUPPORT), y)
+		EXTRA_CFLAGS += -DCONFIG_R8168_NAPI
+	endif
 	EXTRA_CFLAGS += -DCONFIG_R8168_VLAN
 	ifeq ($(CONFIG_DOWN_SPEED_100), y)
 		EXTRA_CFLAGS += -DCONFIG_DOWN_SPEED_100
@@ -96,6 +102,20 @@
 	endif
 	ifeq ($(CONFIG_CTAP_SHORT_OFF), y)
 		EXTRA_CFLAGS += -DCONFIG_CTAP_SHORT_OFF
+	endif
+	ifeq ($(ENABLE_MULTIPLE_TX_QUEUE), y)
+		EXTRA_CFLAGS += -DENABLE_MULTIPLE_TX_QUEUE
+	endif
+	ifeq ($(ENABLE_RSS_SUPPORT), y)
+		r8168-objs += r8168_rss.o
+		EXTRA_CFLAGS += -DENABLE_RSS_SUPPORT
+	endif
+	ifeq ($(ENABLE_LIB_SUPPORT), y)
+		r8168-objs += r8168_lib.o
+		EXTRA_CFLAGS += -DENABLE_LIB_SUPPORT
+	endif
+	ifeq ($(DISABLE_WOL_SUPPORT), y)
+		EXTRA_CFLAGS += -DDISABLE_WOL_SUPPORT
 	endif
 else
 	BASEDIR := /lib/modules/$(shell uname -r)

=== debian/changelog ===
r8168 (8.052.01-1ubuntu1) noble; urgency=medium

  * Linux 6.8 FTBFS fix 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 27 Mar 2024 14:33:59 +0000

r8168 (8.052.01-1) unstable; urgency=medium

  * New upstream release 8.052.01 (2023-09-28).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Sep 2023 15:52:48 +0200

r8168 (8.051.02-4) unstable; urgency=medium

  * The Linux 6.5 net/gso.h changes have been backported to 6.4.10.
    (Closes: #1050287, #1050771, #1050863)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Sep 2023 21:15:50 +0200

=== debian/watch ===
version=4

# The upstream download page at
# https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
# does not offer direct download links but rather redirects via hashes
# and mandatory email registration to a temporary download location.
# Therefore we can only parse the version number from the upstream
# download page.

opts=searchmode=plain \
https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software \
GBE.Ethernet.LINUX.driver.r8168[^<]*</td>[^\d]*([\d\.]+)[^<]*</td>

# There exist unofficial mirrors ... but they are not always in sync.
#https://github.com/mtorromeo/r8168/releases /mtorromeo/r8168/archive/([\d\.]+)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## r8168 8.053.00

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8168 is the Linux device driver released for Realtek Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2023 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2024 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free

=== debian/changelog ===
r8168 (8.053.00-2parrot1) lory-updates; urgency=medium

  * Import new Debian release

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 21 Jul 2024 01:46:51 +0200

r8168 (8.053.00-2) unstable; urgency=medium

  * Add patch for Linux 6.9.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Jun 2024 01:33:53 +0200

r8168 (8.053.00-1) unstable; urgency=medium

  * New upstream release 8.053.00 (2024-04-18).
  * Mention the last build-tested Linux version in the description.
  * Update upstream URLs.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Apr 2024 15:36:25 +0200

r8168 (8.052.01-1parrot1) lory-updates; urgency=medium

  * Import new Debian release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 13 Nov 2023 13:46:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software
+Standards-Version: 4.7.0
+Homepage: https://www.realtek.com/Download/List?cate_id=584
 Vcs-Browser: https://salsa.debian.org/debian/r8168
 Vcs-Git: https://salsa.debian.org/debian/r8168.git
 XS-Autobuild: yes
@@ -20,8 +20,8 @@
  r8168 is the Linux device driver released by RealTek for their network
  controllers with PCI-Express interface:
   * 10/100/1000M Gigabit Ethernet: RTL8111B, RTL8111C, RTL8111D, RTL8111E,
-    RTL8111F, RTL8111G(S), RTL8111H(S), RTL8118(A)(S), RTL8119i, RTL8111L,
-    RTL8111K, RTL8168B, RTL8168E, RTL8168H, RTL8111DP, RTL8111EP, RTL8111FP,
+    RTL8111F, RTL8111G, RTL8111H, RTL8118A, RTL8119i, RTL8111L, RTL8111K,
+    RTL8168B, RTL8168E, RTL8168H, RTL8111DP, RTL8111EP(P), RTL8111FP,
     RTL8411, RTL8411B
  .
  This driver should only be used for devices not yet supported by the
@@ -33,3 +33,5 @@
  .
  This package provides the dkms source code for the r8168 kernel modules.
  Kernel source or headers are required to compile these modules.
+ .
+ Building the kernel module has been tested up to Linux ${r8168:tested:Linux}.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

LINUX_KMOD_TESTED	 = 6.9

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	dh_install src/*.h src/*.c src/Makefile usr/src/r8168-$(DEB_VERSION_UPSTREAM)/
	find debian/r8168-dkms/usr/src -type f -perm -5 -print0 2>/dev/null | xargs -0r chmod a-X

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

override_dh_gencontrol:
	dh_gencontrol -- -V'r8168:tested:Linux=$(LINUX_KMOD_TESTED)'

# do nothing
override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_install override_dh_auto_clean:

=== debian/watch ===
version=4

# The upstream download page at
# https://www.realtek.com/Download/List?cate_id=584
# does not offer direct download links but rather redirects via hashes
# and mandatory email registration to a temporary download location.
# Therefore we can only parse the version number from the upstream
# download page.

opts=searchmode=plain \
https://www.realtek.com/Download/ListAllDownloadItem?cate_id=584 \
r8168-([\d\.]+).tar.bz2

# There exist unofficial mirrors ... but they are not always in sync.
#https://github.com/mtorromeo/r8168/releases /mtorromeo/r8168/archive/([\d\.]+)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## r8168 8.054.00

=== debian/changelog ===
r8168 (8.054.00-1) unstable; urgency=medium

  * New upstream release 8.054.00 (2024-10-17).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2024 03:51:38 +0200

## r8168 8.055.00

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # r8168 is the Linux device driver released for Realtek Gigabit Ethernet
 # controllers with PCI-Express interface.
 #
-# Copyright(c) 2023 Realtek Semiconductor Corp. All rights reserved.
+# Copyright(c) 2024 Realtek Semiconductor Corp. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free

=== src/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #  US6,570,884, US6,115,776, and US6,327,625.
 ################################################################################
 
-CONFIG_SOC_LAN = n
+CONFIG_SOC_LAN = y
 ENABLE_FIBER_SUPPORT = n
 ENABLE_REALWOW_SUPPORT = n
 ENABLE_DASH_SUPPORT = n
@@ -48,6 +48,7 @@
 ENABLE_RSS_SUPPORT = n
 ENABLE_LIB_SUPPORT = n
 DISABLE_WOL_SUPPORT = n
+ENABLE_GIGA_LITE = y
 
 ifneq ($(KERNELRELEASE),)
 	obj-m := r8168.o
@@ -116,6 +117,9 @@
 	endif
 	ifeq ($(DISABLE_WOL_SUPPORT), y)
 		EXTRA_CFLAGS += -DDISABLE_WOL_SUPPORT
+	endif
+	ifeq ($(ENABLE_GIGA_LITE), y)
+		EXTRA_CFLAGS += -DENABLE_GIGA_LITE
 	endif
 else
 	BASEDIR := /lib/modules/$(shell uname -r)

=== debian/changelog ===
r8168 (8.055.00-1) unstable; urgency=medium

  * New upstream release 8.055.00 (2025-02-03).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Feb 2025 15:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  Installation of the r8168-dkms package will disable the in-kernel r8169
  module. To re-enable r8169, the r8168-dkms package must be purged.
  .
- This package provides the dkms source code for the r8168 kernel modules.
- Kernel source or headers are required to compile these modules.
+ This package provides the dkms source code for the r8168 kernel module.
+ Kernel source or headers are required to compile the module.
  .
  Building the kernel module has been tested up to Linux ${r8168:tested:Linux}.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #export DH_VERBOSE=1
 
-LINUX_KMOD_TESTED	 = 6.9
+LINUX_KMOD_TESTED	 = 6.11
 
 include /usr/share/dpkg/pkg-info.mk

=== debian/watch ===
version=4

# The upstream download page at
# https://www.realtek.com/Download/List?cate_id=584
# does not offer direct download links but rather redirects after
# a captcha to a temporary download location.
# Therefore we can only parse the file name and version from the
# upstream download page.

opts=searchmode=plain \
https://www.realtek.com/Download/ListAllDownloadItem?cate_id=584 \
r8168-([\d\.]+).tar.bz2
